// @ts-nocheck
import { OnInit, EventEmitter, TemplateRef, ViewContainerRef, AfterViewInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { FormlyFormOptions, FormlyFieldConfig } from '@ngx-formly/core';
import { Firedev } from 'firedev/browser';
import * as i0 from "@angular/core";
export declare class FiredevFormlyFormComponent implements OnInit, AfterViewInit {
    private dialog;
    private viewContainerRef;
    formly: {
        form: FormGroup<any>;
        options: FormlyFormOptions;
        fields: FormlyFieldConfig<import("@ngx-formly/core").FormlyFieldProps & {
            [additionalProperties: string]: any;
        }>[];
    };
    private backupModel;
    private __model;
    readonly id_toDelete: number;
    readonly dialogRefDelete: MatDialogRef<any>;
    ftype: {
        component: Function;
        entity?: Function;
        name: string;
    };
    templateDelete: TemplateRef<any>;
    entitycomponent: ViewContainerRef;
    id: number;
    modelDataConfig: any;
    exclude: string[];
    include: string[];
    fieldsOrder: string[];
    mode: 'update' | 'create';
    crud: Firedev.CRUD.Base<any>;
    form: FormGroup<{}>;
    formGroup: FormGroup;
    showButtons: boolean;
    options: FormlyFormOptions;
    fields: FormlyFieldConfig[];
    entity: Function;
    submit: EventEmitter<any>;
    complete: EventEmitter<void>;
    get hasRegisteredCmp(): boolean;
    get model(): {};
    set model(v: {});
    constructor(dialog: MatDialog, viewContainerRef: ViewContainerRef);
    ngOnInit(): Promise<void>;
    ngAfterViewInit(): void;
    private waringAboutDecorator;
    private resolveFields;
    private createOrder;
    ngSubmit(model: any): Promise<void>;
    delete(id: any): Promise<void>;
    openDeleteDialog(id: any): void;
    onNoClick(): void;
    clear(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FiredevFormlyFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FiredevFormlyFormComponent, "firedev-formly-form", never, { "id": { "alias": "id"; "required": false; }; "modelDataConfig": { "alias": "modelDataConfig"; "required": false; }; "exclude": { "alias": "exclude"; "required": false; }; "include": { "alias": "include"; "required": false; }; "fieldsOrder": { "alias": "fieldsOrder"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "crud": { "alias": "crud"; "required": false; }; "form": { "alias": "form"; "required": false; }; "formGroup": { "alias": "formGroup"; "required": false; }; "showButtons": { "alias": "showButtons"; "required": false; }; "options": { "alias": "options"; "required": false; }; "fields": { "alias": "fields"; "required": false; }; "entity": { "alias": "entity"; "required": false; }; "model": { "alias": "model"; "required": false; }; }, { "submit": "submit"; "complete": "complete"; }, never, never, false, never>;
}