// @ts-nocheck
import { EventEmitter } from '@angular/core';
import { _ } from 'tnp-core/browser';
import * as i0 from "@angular/core";
export declare class FiredevLongPress {
    pressDuration: number;
    onLongPress: EventEmitter<any>;
    onLongPressing: EventEmitter<any>;
    onLongPressEnd: EventEmitter<any>;
    private pressing;
    private longPressing;
    private timeout;
    private mouseX;
    private mouseY;
    get press(): boolean;
    get longPress(): boolean;
    allowTrigger: boolean;
    triggerEnd: (() => void) & _.Cancelable;
    onMouseDown(event: any): void;
    onMouseMove(event: any): void;
    loop(event: any): void;
    endPress(emit?: boolean): void;
    onMouseUp(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FiredevLongPress, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FiredevLongPress, "[firedev-long-press]", never, { "pressDuration": { "alias": "pressDuration"; "required": false; }; }, { "onLongPress": "onLongPress"; "onLongPressing": "onLongPressing"; "onLongPressEnd": "onLongPressEnd"; }, never, never, true, never>;
}