"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FIREDEV_BINARY_FILE = exports.FiredevBinaryFileTable = void 0;
var tslib_1 = require("tslib");
var firedev_binary_file_constants_1 = require("./firedev-binary-file.constants");
//#region @websql
var firedev_type_sql_1 = require("firedev-type-sql");
var FiredevBinaryFileTable = /** @class */ (function (_super) {
    tslib_1.__extends(FiredevBinaryFileTable, _super);
    function FiredevBinaryFileTable() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.id = new firedev_type_sql_1.NumberColumn(_this, 'id');
        _this.src = new firedev_type_sql_1.StringColumn(_this, 'src');
        _this.loadAs = new firedev_type_sql_1.StringColumn(_this, 'loadAs');
        /* */
        /* */
        /**
         * dont use as column
         * @deprecated
         */
        _this.binaryData = new firedev_type_sql_1.BasicColumn(_this, 'binaryData');
        return _this;
    }
    return FiredevBinaryFileTable;
}(firedev_type_sql_1.QueryTable));
exports.FiredevBinaryFileTable = FiredevBinaryFileTable;
exports.FIREDEV_BINARY_FILE = new FiredevBinaryFileTable(firedev_binary_file_constants_1.FIREDEV_BINARY_FILE_TABLE_NAME);
//#endregion
//#endregion
//# sourceMappingURL=firedev-binary-file.models.js.map