import { OnInit } from '@angular/core';
import { CoreModels } from 'tnp-core';
import { MatDialogRef } from '@angular/material/dialog';
import { FiredevCmsEditDialogData } from '../firedev-cms.models';
import { ViewMode } from '../../shared/view-mode';
export declare class FiredevCmsEditComponent implements OnInit {
    data: FiredevCmsEditDialogData;
    dialogRef: MatDialogRef<FiredevCmsEditComponent>;
    ViewMode: typeof ViewMode;
    height: number;
    url: string;
    text: string;
    mode: ViewMode;
    readonly originalMode: ViewMode;
    readonly mediaType: CoreModels.MediaType;
    get filePath(): string;
    constructor(data: FiredevCmsEditDialogData, dialogRef: MatDialogRef<FiredevCmsEditComponent>);
    ngOnInit(): Promise<void>;
    ngOnDestroy(): void;
    close(): void;
    save(): void;
    toogleMode(): void;
}