"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FiredevFileCssController = void 0;
var tslib_1 = require("tslib");
var firedev_1 = require("firedev");
var firedev_file_css_1 = require("./firedev-file-css");
//#region @websql
var firedev_file_css_backend_1 = require("./firedev-file-css-backend");
//#endregion
/**
 * Isomorphic Controller for FiredevFileCss
 *
 * + only create here isomorphic controller methods
 * + use this.backend for any backend/db operations
 */
var FiredevFileCssController = exports.FiredevFileCssController = /** @class */ (function (_super) {
    tslib_1.__extends(FiredevFileCssController, _super);
    function FiredevFileCssController() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        //#region @websql
        _this.backend = firedev_file_css_backend_1.FiredevFileCssBackend.for(_this);
        return _this;
        //#endregion
    }
    //#endregion
    //#region @websql
    FiredevFileCssController.prototype.initExampleDbData = function () {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                return [2 /*return*/];
            });
        });
    };
    FiredevFileCssController = tslib_1.__decorate([
        firedev_1.Firedev.Controller({
            className: 'FiredevFileCssController',
            entity: firedev_file_css_1.FiredevFileCss,
        })
    ], FiredevFileCssController);
    return FiredevFileCssController;
}(firedev_1.Firedev.Base.Controller));
//# sourceMappingURL=firedev-file-css.controller.js.map