"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconButtonWithActionComponent = void 0;
var tslib_1 = require("tslib");
var core_1 = require("@angular/core");
// formly
var core_2 = require("@ngx-formly/core");
// other
var _ = require("lodash");
var IconButtonWithActionComponent = exports.IconButtonWithActionComponent = /** @class */ (function (_super) {
    tslib_1.__extends(IconButtonWithActionComponent, _super);
    function IconButtonWithActionComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    IconButtonWithActionComponent.prototype.action = function () {
        if (_.isFunction(this.field.templateOptions.action)) {
            this.field.templateOptions.action();
        }
    };
    IconButtonWithActionComponent.prototype.ngOnInit = function () {
        if (!this.field.templateOptions.icon) {
            this.field.templateOptions.icon = 'home';
        }
        if (!this.field.templateOptions.lable) {
            this.field.templateOptions.lable = 'Button';
        }
    };
    IconButtonWithActionComponent = tslib_1.__decorate([
        (0, core_1.Component)({
            selector: 'formly-icon-button-with-action',
            template: "\n     <button *ngIf=\"!field.templateOptions.raised\" mat-button type=\"button\" (click)=\"action()\" [disabled]=\"field.templateOptions.disabled\"  >\n        <mat-icon>{{field.templateOptions.icon}}</mat-icon>\n        {{field.templateOptions.label}}\n    </button>\n    <button  *ngIf=\"field.templateOptions.raised\" mat-raised-button type=\"button\" (click)=\"action()\" [disabled]=\"field.templateOptions.disabled\"  >\n    <mat-icon>{{field.templateOptions.icon}}</mat-icon>\n    {{field.templateOptions.label}}\n</button>\n  ",
            styles: ["\n    :host {\n      padding-bottom: 20px;\n      position: relative;\n      top: -5px;\n    }\n  "]
        })
    ], IconButtonWithActionComponent);
    return IconButtonWithActionComponent;
}(core_2.FieldType));
//# sourceMappingURL=formly-icon-button-with-action.js.map