import { EventEmitter } from '@angular/core';
import { _ } from 'tnp-core';
export declare class FiredevLongPress {
    pressDuration: number;
    onLongPress: EventEmitter<any>;
    onLongPressing: EventEmitter<any>;
    onLongPressEnd: EventEmitter<any>;
    private pressing;
    private longPressing;
    private timeout;
    private mouseX;
    private mouseY;
    get press(): boolean;
    get longPress(): boolean;
    allowTrigger: boolean;
    triggerEnd: (() => void) & _.Cancelable;
    onMouseDown(event: any): void;
    onMouseMove(event: any): void;
    loop(event: any): void;
    endPress(emit?: boolean): void;
    onMouseUp(): void;
}