// @ts-nocheck
import type { FiredevFileCssController } from './firedev-file-css.controller';
/**
 * Backend methods for FiredevFileCss
 *
 * + use entites injected controllers to access other backends
 * + don't use controllers methods/properties here
 */
export declare class FiredevFileCssBackend {
    private ctrl;
    static for(ctrl: FiredevFileCssController): FiredevFileCssBackend;
    private get repo();
    private constructor();
    countEntities(): Promise<void>;
    initExampleDbData(): Promise<void>;
}