// @ts-nocheck
import { Firedev } from 'firedev/browser';
import type { FiredevFileCssController } from './firedev-file-css.controller';
import { BrowserUnit, DisplayOpt, FiredevFileCssNonColumnsKeys } from './firedev-file-css.models';
/**
 * Entity class for FiredevFileCss
 *
 * + use static methods to for backend access encapsulation
 */
export declare class FiredevFileCss extends Firedev.Base.Entity<any> {
    static ctrl: FiredevFileCssController;
    static from(obj: Omit<Partial<FiredevFileCss>, FiredevFileCssNonColumnsKeys>): FiredevFileCss;
    static $getAll(): import("rxjs").Observable<any[]>;
    static getAll(): Promise<any[]>;
    static emptyModel(): FiredevFileCss;
    static getOptionsFor(classProperty: keyof FiredevFileCss): {
        value: string;
        label: string;
    }[];
    private constructor();
    ctrl: FiredevFileCssController;
    id: string;
    description?: string;
    display?: DisplayOpt;
    width?: 'auto' | 'inheirt' | number;
    widthUnit?: BrowserUnit;
    height?: 'auto' | 'inheirt' | number;
    heightUnit?: BrowserUnit;
    clone(options?: {
        propsToOmit: (keyof FiredevFileCss)[];
    }): FiredevFileCss;
}