// @ts-nocheck
import { OnInit } from '@angular/core';
import { CoreModels } from 'tnp-core/browser';
import { MatDialogRef } from '@angular/material/dialog';
import { FiredevCmsEditDialogData } from '../firedev-cms.models';
import { ViewMode } from '../../shared/view-mode';
import * as i0 from "@angular/core";
export declare class FiredevCmsEditComponent implements OnInit {
    data: FiredevCmsEditDialogData;
    dialogRef: MatDialogRef<FiredevCmsEditComponent>;
    ViewMode: typeof ViewMode;
    height: number;
    url: string;
    text: string;
    mode: ViewMode;
    readonly originalMode: ViewMode;
    readonly mediaType: CoreModels.MediaType;
    get filePath(): string;
    constructor(data: FiredevCmsEditDialogData, dialogRef: MatDialogRef<FiredevCmsEditComponent>);
    ngOnInit(): Promise<void>;
    ngOnDestroy(): void;
    close(): void;
    save(): void;
    toogleMode(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FiredevCmsEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FiredevCmsEditComponent, "firedev-cms-edit", never, {}, {}, never, never, true, never>;
}