import { EventEmitter, OnInit } from '@angular/core';
import { Subscription } from 'rxjs';
import { FiredevFile } from '../../../firedev-file';
import { FiredevAdmin } from '../../firedev-admin';
import { Router } from '@angular/router';
import 'brace';
import 'brace/mode/css';
import 'brace/mode/typescript';
import 'brace/theme/github';
import { MtxGridColumn } from '@ng-matero/extensions/grid';
export declare class FiredevAdminEditModeComponent implements OnInit {
    private router;
    inited$: import("rxjs").Observable<boolean>;
    private destroyed$;
    admin: FiredevAdmin;
    handlers: Subscription[];
    entity: typeof FiredevFile;
    files: FiredevFile[];
    selectedTabIndex: number;
    fileToSearch: string;
    columns: MtxGridColumn<any>[];
    firedevAdminEditModeDataChanged: EventEmitter<any>;
    firedevAdminEditModeData: any;
    constructor(router: Router);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    expansionRow(e: any): void;
    refresFilesList(): void;
    searchFind(file: FiredevFile): any;
}