"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FiredevFileCssBackend = void 0;
var tslib_1 = require("tslib");
/**
 * Backend methods for FiredevFileCss
 *
 * + use entites injected controllers to access other backends
 * + don't use controllers methods/properties here
 */
var FiredevFileCssBackend = /** @class */ (function () {
    function FiredevFileCssBackend(ctrl) {
        this.ctrl = ctrl;
    }
    //#region initialization
    FiredevFileCssBackend.for = function (ctrl) { return new FiredevFileCssBackend(ctrl); };
    Object.defineProperty(FiredevFileCssBackend.prototype, "repo", {
        get: function () {
            return this.ctrl.repository;
        },
        enumerable: false,
        configurable: true
    });
    //#endregion
    FiredevFileCssBackend.prototype.countEntities = function () {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this.ctrl.repository.count()];
                    case 1:
                        _a.sent();
                        return [2 /*return*/];
                }
            });
        });
    };
    FiredevFileCssBackend.prototype.initExampleDbData = function () {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                return [2 /*return*/];
            });
        });
    };
    return FiredevFileCssBackend;
}());
exports.FiredevFileCssBackend = FiredevFileCssBackend;
//# sourceMappingURL=firedev-file-css-backend.js.map