import { Firedev } from 'firedev';
import { FiredevFileCss } from './firedev-file-css';
import { FiredevFileCssBackend } from './firedev-file-css-backend';
/**
 * Isomorphic Controller for FiredevFileCss
 *
 * + only create here isomorphic controller methods
 * + use this.backend for any backend/db operations
 */
export declare class FiredevFileCssController extends Firedev.Base.Controller<any> {
    entity: typeof FiredevFileCss;
    readonly backend: FiredevFileCssBackend;
    initExampleDbData(): Promise<void>;
}
