"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FiredevFileCss = void 0;
var tslib_1 = require("tslib");
//#region imports
var firedev_1 = require("firedev");
var rxjs_1 = require("rxjs");
var tnp_core_1 = require("tnp-core");
var firedev_file_css_models_1 = require("./firedev-file-css.models");
var firedev_file_css_models_2 = require("./firedev-file-css.models");
//#endregion
/**
 * Entity class for FiredevFileCss
 *
 * + use static methods to for backend access encapsulation
 */
var FiredevFileCss = exports.FiredevFileCss = /** @class */ (function (_super) {
    tslib_1.__extends(FiredevFileCss, _super);
    //#endregion
    //#region constructor
    function FiredevFileCss() {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        return _super.apply(this, tslib_1.__spreadArray([], tslib_1.__read(args), false)) || this;
    }
    FiredevFileCss_1 = FiredevFileCss;
    FiredevFileCss.from = function (obj) {
        obj = tnp_core_1._.merge(firedev_file_css_models_2.defaultModelValuesFiredevFileCss, tnp_core_1._.omit(obj, firedev_file_css_models_1.FiredevFileCssNonColumnsKeysArr));
        return tnp_core_1._.merge(new FiredevFileCss_1(), obj);
    };
    FiredevFileCss.$getAll = function () {
        var _a;
        return (_a = this.ctrl.getAll().received) === null || _a === void 0 ? void 0 : _a.observable.pipe((0, rxjs_1.map)(function (data) { return data.body.json; }));
    };
    FiredevFileCss.getAll = function () {
        var _a;
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            var data;
            return tslib_1.__generator(this, function (_b) {
                switch (_b.label) {
                    case 0: return [4 /*yield*/, this.ctrl.getAll().received];
                    case 1:
                        data = _b.sent();
                        return [2 /*return*/, ((_a = data === null || data === void 0 ? void 0 : data.body) === null || _a === void 0 ? void 0 : _a.json) || []];
                }
            });
        });
    };
    FiredevFileCss.emptyModel = function () {
        return FiredevFileCss_1.from(firedev_file_css_models_2.defaultModelValuesFiredevFileCss);
    };
    FiredevFileCss.getOptionsFor = function (classProperty) {
        var map = function (arr) { return arr.map(function (value) {
            return {
                value: value,
                label: value
            };
        }); };
        switch (classProperty) {
            case 'display':
                return map(firedev_file_css_models_1.DisplayOptArr);
            case 'heightUnit':
                return map(firedev_file_css_models_1.BrowserUnitArr);
            case 'widthUnit':
                return map(firedev_file_css_models_1.BrowserUnitArr);
        }
    };
    //#endregion
    //#region methods
    FiredevFileCss.prototype.clone = function (options) {
        var propsToOmit = (options || { propsToOmit: firedev_file_css_models_1.FiredevFileCssNonColumnsKeysArr }).propsToOmit;
        return tnp_core_1._.merge(new FiredevFileCss_1(), tnp_core_1._.omit(this, propsToOmit));
    };
    var FiredevFileCss_1;
    tslib_1.__decorate([
        firedev_1.Firedev.Orm.Column.Generated()
        //#endregion
        ,
        tslib_1.__metadata("design:type", String)
    ], FiredevFileCss.prototype, "id", void 0);
    tslib_1.__decorate([
        firedev_1.Firedev.Orm.Column.Custom({
            type: 'varchar',
            length: 100,
            default: firedev_file_css_models_2.defaultModelValuesFiredevFileCss.description
        })
        //#endregion
        ,
        tslib_1.__metadata("design:type", String)
    ], FiredevFileCss.prototype, "description", void 0);
    FiredevFileCss = FiredevFileCss_1 = tslib_1.__decorate([
        firedev_1.Firedev.Entity({
            className: 'FiredevFileCss',
            //#region @websql
            createTable: false,
            //#endregion,
            defaultModelValues: firedev_file_css_models_2.defaultModelValuesFiredevFileCss
        }),
        tslib_1.__metadata("design:paramtypes", [Object])
    ], FiredevFileCss);
    return FiredevFileCss;
}(firedev_1.Firedev.Base.Entity));
//# sourceMappingURL=firedev-file-css.js.map