import { OnInit } from '@angular/core';
import { _ } from 'tnp-core';
import { FiredevFile } from './firedev-file';
import { FiredevFileDefaultAs } from './firedev-file.models';
import type { FiredevAdmin } from '../firedev-admin-mode-configuration';
import { DomSanitizer } from '@angular/platform-browser';
/**
 * @deprecated
 */
export declare class FiredevFileComponent implements OnInit {
    private domSanitizer;
    static readonly scripts: {};
    static readonly styles: {};
    readonly scripts: any;
    readonly styles: any;
    private static cachedFiles;
    private static cachedFilesLastVer;
    private static currentProcessing;
    private static filesToCache;
    private static filesToCacheText;
    linksToRevoke: any[];
    tempText?: string;
    tempLink?: string;
    admin: FiredevAdmin;
    file: FiredevFile;
    insideAdmin: boolean;
    width: number;
    height: number;
    viewAs: FiredevFileDefaultAs;
    readonly src: string;
    offline: boolean;
    audio: any;
    video: any;
    image: any;
    html: any;
    json: any;
    styleDisplay: 'block' | 'inline-block' | 'none';
    get FiredevFile(): typeof FiredevFile;
    debounceInit: (() => Promise<void>) & _.Cancelable;
    get nativeElement(): any;
    get isSelectedInAdmin(): boolean;
    constructor(domSanitizer: DomSanitizer);
    ngOnChanges(changes: any): void;
    ngOnInit(): Promise<void>;
    ngAfterViewInit(): Promise<void>;
    ngOnDestroy(): void;
    getFile(src: string): Promise<FiredevFile>;
    init(firstTime: boolean): Promise<void>;
    selectForEdit(): void;
}