/// <reference types="node" />
import { Firedev } from 'firedev';
import { FiredevFile } from './firedev-file';
import * as FormData from 'form-data';
import { Blob } from 'buffer';
import { FiredevFileBackend } from './backend/firedev-file-backend';
/**
 * @deprecated
 */
export declare class FiredevFileController extends Firedev.Base.Controller<FiredevFile> {
    entity: typeof FiredevFile;
    readonly backend: FiredevFileBackend;
    getLatestVersion(src: string): Firedev.Response<number>;
    getBloblessBy(src: string): Firedev.Response<FiredevFile>;
    getBlobOnlyBy(src: string): Firedev.Response<Blob>;
    deleteBy(src: string): Firedev.Response<FiredevFile>;
    /**
     * in angular:
     * const formData = new FormData();
     * formData.append('myfile1.png',files[0])
     * formData.append('myfile2.png',files[1])
     *
     * files -> from evemt from input with type="file"
     *
     * @param formData
     * @returns
     */
    upload(formData: FormData): Firedev.Response<FiredevFile>;
    initExampleDbData(): Promise<void>;
}
