import { TemplateRef, EventEmitter, ElementRef } from '@angular/core';
import { Firedev } from 'firedev';
import { PageEvent } from '@angular/material/paginator';
import { MtxGridColumn } from '@ng-matero/extensions/grid';
export declare class FiredevTableComponent {
    pageNumber: number;
    pageSize: number;
    allowedColumns: string[];
    entity: typeof Firedev.Base.Entity | string;
    expansionTemplate: TemplateRef<any>;
    rows: {
        id: number;
        name: string;
    }[];
    columns: MtxGridColumn[];
    pageSizeOptions: number[];
    expansionChange: EventEmitter<any>;
    addingItem: EventEmitter<void>;
    search?: ElementRef<HTMLElement>;
    private searchInputChange$;
    expandable: boolean;
    showPaginator: boolean;
    isLoading: boolean;
    totalElements: number;
    private sub;
    constructor();
    ngOnInit(): Promise<void>;
    ngOnDestroy(): void;
    getNextPage(e: PageEvent): Promise<void>;
    retriveData(): Promise<void>;
    expansionRow(e: any): void;
    onTableContextMenu(e: any): void;
}