// @ts-nocheck
import { TemplateRef, EventEmitter, ElementRef } from '@angular/core';
import { Firedev } from 'firedev/websql';
import { PageEvent } from '@angular/material/paginator';
import { MtxGridColumn } from '@ng-matero/extensions/grid';
import * as i0 from "@angular/core";
export declare class FiredevTableComponent {
    pageNumber: number;
    pageSize: number;
    allowedColumns: string[];
    entity: typeof Firedev.Base.Entity | string;
    expansionTemplate: TemplateRef<any>;
    rows: {
        id: number;
        name: string;
    }[];
    columns: MtxGridColumn[];
    pageSizeOptions: number[];
    expansionChange: EventEmitter<any>;
    addingItem: EventEmitter<void>;
    search?: ElementRef<HTMLElement>;
    private searchInputChange$;
    expandable: boolean;
    showPaginator: boolean;
    isLoading: boolean;
    totalElements: number;
    private sub;
    constructor();
    ngOnInit(): Promise<void>;
    ngOnDestroy(): void;
    getNextPage(e: PageEvent): Promise<void>;
    retriveData(): Promise<void>;
    expansionRow(e: any): void;
    onTableContextMenu(e: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FiredevTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FiredevTableComponent, "firedev-table", never, { "pageNumber": { "alias": "pageNumber"; "required": false; }; "pageSize": { "alias": "pageSize"; "required": false; }; "allowedColumns": { "alias": "allowedColumns"; "required": false; }; "entity": { "alias": "entity"; "required": false; }; "expansionTemplate": { "alias": "expansionTemplate"; "required": false; }; "rows": { "alias": "rows"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; "pageSizeOptions": { "alias": "pageSizeOptions"; "required": false; }; }, { "expansionChange": "expansionChange"; "addingItem": "addingItem"; }, never, never, false, never>;
}